2023-01-30 13:13 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004570IntSportsChallenge[All Projects] Generalpublic2020-04-28 09:48
Reporteraardvark82 
Assigned ToStingRayProject InfoInternational Sports Challenge (Empire)
http://www.whdload.de/games/IntSportsChallenge.html
 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Summary0004570: Diving event crashes the game
DescriptionWhen trying to enter Diving event, the game goes black for a minute then exits with an error "Exception "CHK,CHK2 Instruction" (&2018) at $4000000A occured."
Steps To ReproduceType your name, deselect all events but Diving, choose any competition type, and then the error occurs.
Additional Informationversion 1.01. Installed from SPS 2815 ipf images.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.5
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0008507

StingRay (developer)

Confirmed. Thanks for reporting, will be fixed.

note ~0008508

StingRay (developer)

Last edited: 2020-04-28 09:47

View 2 revisions

Fixed, caused by self-modifying code to set the destination address for a routine to call.

Code looks like this:
      move.l (a4,d1.w),a4
      move.l (a4,d2.w),dest+2
dest jsr $fffffffe

Fix:
      move.l (a4,d1.w),a4
      move.l (a4,d2.w),-(a7)
      rts

+Notes

-Issue History
Date Modified Username Field Change
2020-04-27 20:03 aardvark82 New Issue
2020-04-27 22:42 StingRay Assigned To => StingRay
2020-04-27 22:42 StingRay Status new => assigned
2020-04-28 08:45 StingRay Note Added: 0008507
2020-04-28 09:25 StingRay Note Added: 0008508
2020-04-28 09:47 StingRay Note Edited: 0008508 View Revisions
2020-04-28 09:48 StingRay Status assigned => resolved
2020-04-28 09:48 StingRay Resolution open => fixed
+Issue History